% Definindo parametros da simulacao
dt=0.01;              % passo na condicao inicial
a=1.8;               % valor minimo para condicao inicial
b=2.0;               % valor maximo para condicao inicial
ds=0.1;              % passo de tempo
T=12;                 % tempo maximo simulado

% Numero de passos
Nt=1 + (b-a)/dt;        % numero de passos na condicao inicial
Ns = 1 + T/ds;          % numero de passos no tempo

% inicializacao das variaveis
x = zeros(Ns);
y = zeros(Ns);

%figure

% Iterando condicao inicial
for i=1:Nt
  x(1)=0;
  y(1)=a+(i-1)*dt;   
   
  % Iterando o metodo de Euler para o pendulo
  for j=2:Ns
    x(j)=x(j-1)+ds*y(j-1);
    y(j)=y(j-1)-ds*sin(x(j-1));
  end

% Representacao grafica da curva característica
  plot(x,y)
  hold on    
end

